<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
	<meta charset="utf-8">
	<title>Upload Page</title>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
	<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet" />
	<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.10.0/js/bootstrap-select.min.js"></script>
	<script class="jsbin" src="https://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
	<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.10.0/css/bootstrap-select.min.css" rel="stylesheet" />
	<script lang="javascript" >

function readURL(input) {
if (input.files && input.files[0]) {

  var reader = new FileReader();

  reader.onload = function(e) {
    $('.image-upload-wrap').hide();

    $('.file-upload-image').attr('src', e.target.result);
    $('.file-upload-content').show();

    $('.image-title').html(input.files[0].name);
  };

  reader.readAsDataURL(input.files[0]);

}
}




    </script>
    <style>
	body {
		font-family: sans-serif;
		background-color: #eeeeee;
	}
	
	.file-upload {
		background-color: #ffffff;
		width: 600px;
		margin: 0 auto;
		padding: 20px;
	}
	
	.file-upload-btn {
		width: 100%;
		margin: 0;
		color: #fff;
		background: #51c4d3;
		border: none;
		padding: 10px;
		border-radius: 4px;
		border-bottom: 4px solid #1597bb;
		transition: all .2s ease;
		outline: none;
		text-transform: uppercase;
		font-weight: 700;
	}
	
	.file-upload-btn:hover {
		background: #51c4d3;
		color: #ffffff;
		transition: all .2s ease;
		cursor: pointer;
	}
	
	.file-upload-btn:active {
		border: 0;
		transition: all .2s ease;
	}
	
	.file-upload-content {
		display: none;
		text-align: center;
	}
	
	.file-upload-input {
		position: absolute;
		margin: 0;
		padding: 0;
		width: 100%;
		height: 100%;
		outline: none;
		opacity: 0;
		cursor: pointer;
	}
	
	.image-upload-wrap {
		margin-top: 20px;
		border: 4px dashed #51c4d3;
		position: relative;
	}
	
	.image-dropping,
	.image-upload-wrap:hover {
		border: 4px dashed #ffffff;
		background-color: #ffffff;
	}
	
	.image-title-wrap {
		padding: 0 15px 15px 15px;
		color: #222;
	}
	
	.drag-text {
		text-align: center;
	}
	
	.drag-text h3 {
		font-weight: 100;
		text-transform: uppercase;
		color: #51c4d3;
		padding: 60px 0;
	}
	
	.file-upload-image {
		max-height: 200px;
		max-width: 200px;
		margin: auto;
		padding: 20px;
	}
	
	.remove-image {
		width: 200px;
		margin: 0;
		color: #fff;
		background: #cd4535;
		border: none;
		padding: 10px;
		border-radius: 4px;
		border-bottom: 4px solid #b02818;
		transition: all .2s ease;
		outline: none;
		text-transform: uppercase;
		font-weight: 700;
	}
	
	.remove-image:hover {
		background: #c13b2a;
		color: #ffffff;
		transition: all .2s ease;
		cursor: pointer;
	}
	
	.remove-image:active {
		border: 0;
		transition: all .2s ease;
	}
	</style>
</head>

<body>
	<div class="container">
		<div class="row">
			<div class="col-xs-12">
				<div class="box">
					<!-- /.box-header -->
					<div class="box-body">
						<form action="/upload" id="form1" method="POST" enctype="multipart/form-data" >
							<div class="form-group row" style="text-align:center;margin-left:310px; margin-top:180px;">
								<label for="" class="col-sm-2 form-control-label">Choose the Type of Document</label>
								<div class="col-sm-5">
									<select class="form-control selectpicker example" name="option" id="fileType" data-live-search="true">
										<option data-tokens="Aadhar" name="option" id="option">Aadhar</option>
										<option data-tokens="Pan">Pan Card</option>
										<option data-tokens="Passport">License</option>
									</select>
								</div>
							</div>
                            <div class="file-upload">
                                <div class="image-upload-wrap">
                                    <input id="fileUpl" class="file-upload-input" type='file' name="avatar" onchange="readURL(this);" accept="image/*" />
                                    <div class="drag-text">
                                        <h3>Drag and drop a file or select add Image</h3> </div>
                                </div>
                                <div class="file-upload-content"> <img class="file-upload-image" src="#" alt="your image" /> </div>
                                <button id="submitBtn" class="file-upload-btn" style="margin-top:20px;">Upload</button>
                            </div>
                            <div id="ocrData">

                            </div>
                        </form>
					</div>
				</div>
			</div>
		</div>
	</div>
</body>


</html>